// Desc: Configs for the translation that is used in the validation messages
export const translatesConfig = {
  nullable: 'generic-form:validation.nullable',
  required: 'generic-form:validation.required',
  min: 'generic-form:validation.min',
  max: 'generic-form:validation.max',
  maxLength: 'generic-form:validation.max_length',
  minLength: 'generic-form:validation.min_length',
  pattern: 'generic-form:validation.pattern',
  format: 'generic-form:validation.format',
  email: 'generic-form:validation.email',
  minDate: 'generic-form:validation.min_date',
  maxDate: 'generic-form:validation.max_date',
  wrongRange: 'generic-form:validation.wrong_range',
  wrongDate: 'generic-form:validation.wrong_range',
  trim: 'generic-form:validation.trim',
  oneOf: 'generic-form:validation.one_of',
};

// Desc: Enum for the validation error types
export enum EValidationTypes {
  nullable = 'nullable',
  required = 'required',
  min = 'min',
  max = 'max',
  oneOf = 'oneOf',
  maxLength = 'maxLength',
  minLength = 'minLength',
  pattern = 'pattern',
  format = 'format',
  minDate = 'minDate',
  maxDate = 'maxDate',
  wrongRange = 'wrongRange',
  wrongDate = 'wrongDate',
  trim = 'trim',
}
